%define name2     diffie

%define major     1
%define libname2  %mklibname %{name2} %{major}
%define develname %mklibname %{name2} -d

%define _legacy_common_support 1

Name: mirrordir
Summary: Easy to use ftp mirroring package
Version: 0.10.49
Release: %mkrel 33
Group: Networking/File transfer
License: GPLv2+
URL: ftp://ftp.obsidian.co.za/pub/mirrordir/
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-%{version}.tar.bz2
Patch0: mirrordir-0.10.49-confpath.patch
Patch1: mirrordir-zlib-1.1.3-zfree.patch
Patch2: mirrordir-0.10.49-varargs.patch
Patch3: mirrordir-0.10.49-64bit-fixes.patch
Patch4: mirrordir-0.10.49-pam_pwdb.patch
# (tv) use system zlib:
Patch5: mirrordir-use-system-libs.patch
Patch6: mirrordir-0.10.49-fix-str-fmt.patch
Patch7: mirrordir-0.10.49-fix-install.patch
Patch8: mirrordir-0.10.49-automake-1.13.patch
Patch9: mirrordir-0.10.49-mga-noinline.patch
Patch10: mirrordir-0.10.49-mga-excl.patch
Patch11: mirrordir-0.10.49-mga-fix-buffer-overflow.patch
Patch12: mirrordir-0.10.49-gcc14.patch

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: pkgconfig(zlib)

Requires: %{libname2} = %{version}

%description
Easy to use ftp mirroring package - simply use
mirrordir ftp://some.where.com/dir /some/local/dir

%package -n %{libname2}
Summary: The diffie library, necessary to run mirrordir
Group: System/Libraries

%description -n %{libname2}
The diffie library, necessary to run mirrordir.

%package -n %{develname}
Summary: Static version of the diffie library
Group: Development/C
Requires: %{libname2} = %{version}
Provides: lib%{name2}-devel = %{version}
Provides: %{name}-devel = %{version}

%description -n %{develname}
Static version of the diffie library.

%prep
%autosetup -p1

%build
autoreconf -sfi
%configure \
	--disable-static \
	--enable-zlib \
	CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_bindir}/*
%dir %{_sysconfdir}/mirrordir
%config(noreplace) %{_sysconfdir}/mirrordir/*
%config(noreplace) %{_sysconfdir}/secure*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_mandir}/man*/*

%files -n %{libname2}
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_libdir}/lib%{name2}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_libdir}/lib%{name2}.so


%changelog
* Thu Oct 17 2024 daviddavid <daviddavid> 0.10.49-33.mga10
+ Revision: 2107766
- fix build with GCC 14

* Wed Mar 16 2022 umeabot <umeabot> 0.10.49-32.mga9
+ Revision: 1794952
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 0.10.49-31.mga8
+ Revision: 1617185
- fix gcc10 build

* Tue Feb 18 2020 umeabot <umeabot> 0.10.49-30.mga8
+ Revision: 1538901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 28 2019 ns80 <ns80> 0.10.49-29.mga8
+ Revision: 1463306
- add patch fix-buffer-overflow and restore the fortify source option (mga#25748)

* Wed Nov 27 2019 ns80 <ns80> 0.10.49-28.mga8
+ Revision: 1463096
- readd optflags, only remove the option that causes the issue (mga#25748)
- remove optflags from CFLAGS to avoid a buffer overflow (mga#25748)

* Sun Sep 23 2018 umeabot <umeabot> 0.10.49-27.mga7
+ Revision: 1299560
- Mageia 7 Mass Rebuild

* Wed Aug 30 2017 daviddavid <daviddavid> 0.10.49-26.mga7
+ Revision: 1148574
- honor user CFLAGS thus fixing empty debugsourcefiles.list
- remove unneeded *.la files

* Mon Feb 15 2016 umeabot <umeabot> 0.10.49-25.mga6
+ Revision: 961432
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 danf <danf> 0.10.49-24.mga6
+ Revision: 895623
- Added noinline.patch to fix build with gcc 5.2
  Added excl.patch to mitigate use of the insecure tmpname

* Wed Oct 15 2014 umeabot <umeabot> 0.10.49-23.mga5
+ Revision: 749045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.49-22.mga5
+ Revision: 682532
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.49-21.mga4
+ Revision: 507958
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.49-20.mga3
+ Revision: 360112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 0.10.49-19.mga3
+ Revision: 343291
- fix for automake 1.13

* Fri Jan 14 2011 nanardon <nanardon> 0.10.49-18.mga1
+ Revision: 17461
- rebuild
- imported package mirrordir
+ blino <blino>
- remove old ldconfig scriptlets


* Tue Jul 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.10.49-16mdv2011.0
+ Revision: 552372
- enable largefile support, should fix (mdv#60119)

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10.49-15mdv2010.1
+ Revision: 523320
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.10.49-14mdv2010.0
+ Revision: 426145
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.10.49-13mdv2009.1
+ Revision: 365863
- fix str fmt
- fix symbolic link install

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 0.10.49-12mdv2009.0
+ Revision: 282435
- New devel package policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.10.49-11mdv2008.1
+ Revision: 153099
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.10.49-9mdv2008.0
+ Revision: 64797
- patch 5: use system zlib
- fix build
- fix summary


* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 0.10.49-8mdk
- use pam_unix instead of obsolete pam_pwdb (Patch4)
- fix configuration path (i.e. fix Pathc0, sorry for fixing the
  program, it seems this one hasn't been tried for four years)

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.10.49-7mdk
- varargs, 64-bit, includes & libtool fixes

* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.49-6mdk
- use mklibname

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.49-5mdk
- rebuild

